/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di ogni sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_CVTS_Microdati_2005_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.CVTS_2005;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=6000 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
country :$2.   /*  codice paese */
weight :10.2   /*  coefficiente di ponderazione */
a1 :4.   /*  codice nace - vedi Annex */
a2tot04 :6.   /*  n persone occupate al 31.12.2004 */
a2tot05 :6.   /*  n persone occupate al 31.12.2005 */
a2m05 :6.   /*  n uomini occupati  al 31.12.2005 */
a2f05 :6.   /*  n donne occupate al 31.12.2005 */
a3a :6.   /*  persone occupate  meno di 25 anni */
a3b :6.   /*  persone occupate  da 25 a 54 anni */
a3c :6.   /*  persone occupate  55 anni e pi */
a4 :12.   /*  n totale di ore lavorate durante il 2005 dalle persone occupate */
a4m :12.   /*  n totale di ore lavorate durante il 2005 dai maschi */
a4f :12.   /*  n totale di ore lavorate durante il 2005 dalle femmine */
a5 :12.   /*  costo totale del lavoro (diretto + indiretto) delle persone occupate durante il 2005 */
a6 :1.   /*  prodotti, servizi o metodi di produzione nuovi o migliorati nel 2005 */
b1a :1.   /*  corsi interni di formazione professionale continua (fpc) */
b1b :1.   /*  corsi esterni di fpc */
b2aflag :1.   /*  flag  formazione sul lavoro */
b2a :6.   /*  partecipanti ad altre forme di fpc  formazione sul lavoro */
b2bflag :1.   /*  flag  rotazione del posto di lavoro */
b2b :6.   /*  partecipanti ad altre forme di fpc  rotazione del posto di lavoro */
b2cflag :1.   /*  flag  circoli di apprendimento e di qualit */
b2c :6.   /*  partecipanti ad altre forme di fpc  circoli di apprendimento e di qualit */
b2dflag :1.   /*  flag  autoapprendimento */
b2d :6.   /*  partecipanti ad altre forme di fpc  autoapprendimento */
b2eflag :1.   /*  flag  partecipazione a conferenze ecc. */
b2e :6.   /*  partecipanti ad altre forme di fpc  partecipazione a conferenze ecc. */
b3a :1.   /*  corsi di fpc per persone occupate durante lanno precedente (2004) */
b3b :1.   /*  corsi di fpc per persone occupate previsti durante lanno prossimo (2006) */
b4a :1.   /*  altre forme di fpc per persone occupate durante lanno precedente (2004) */
b4b :1.   /*  altre forme di fpc per persone occupate previste durante lanno prossimo (2006) */
c1tot :6.   /*  partecipanti a corsi di fpc   totale */
c1m :6.   /*  partecipanti a corsi di fpc  uomini */
c1f :6.   /*  partecipanti a corsi di fpc  donne */
c2a :6.   /*  partecipanti ad attivit di fpc  meno di 25 anni */
c2b :6.   /*  partecipanti ad attivit di fpc  da 25 a 54 anni */
c2c :6.   /*  partecipanti ad attivit di fpc  55 anni e pi */
c3tot :10.   /*  tempo di lavoro retribuito (in ore) per corsi di fpc */
c3i :10.   /*  tempo di lavoro retribuito (in ore) per corsi interni di fpc */
c3e :10.   /*  tempo di lavoro retribuito (in ore) per corsi esterni di fpc */
c4m :10.   /*  tempo di lavoro retribuito (in ore) per corsi di fpc  uomini */
c4f :10.   /*  tempo di lavoro retribuito (in ore) per corsi di fpc  donne */
c5a :10.   /*  tempo di lavoro retribuito (in ore)  lingue, straniere  e materna */
c5b :10.   /*  tempo di lavoro retribuito (in ore)  vendite  e marketing */
c5c :10.   /*  tempo di lavoro retribuito (in ore)  contabilit  e finanza, gestione e amministrazione e lavoro dufficio */
c5d :10.   /*  tempo di lavoro retribuito (in ore)  competenze personali/sviluppo personale, vita professionale */
c5e :10.   /*  tempo di lavoro retribuito (in ore)  informatica  e uso del computer */
c5f :10.   /*  tempo di lavoro retribuito (in ore)  ingegneria, tecniche di produzione e costruzione */
c5g :10.   /*  tempo di lavoro retribuito (in ore)  protezione dellambiente e salute e sicurezza sul lavoro */
c5h :10.   /*  tempo di lavoro retribuito (in ore)  servizi personali, servizi di trasporto, protezione dei beni e delle persone e difesa */
c5i :10.   /*  tempo di lavoro retribuito (in ore)  altri temi di formazione */
c6a :10.   /*  tempo di lavoro retribuito (in ore)  scuole, universit e altre istituzioni dinsegnamento superiore */
c6b :10.   /*  tempo di lavoro retribuito (in ore)  istituzioni pubbliche di formazione */
c6c :10.   /*  tempo di lavoro retribuito (in ore) societ private di formazione */
c6d :10.   /*  tempo di lavoro retribuito (in ore)  societ private  (fornitori di beni, societ collegate) */
c6e :10.   /*  tempo di lavoro retribuito (in ore)  associazioni di datori di lavoro, camere di commercio, associazioni di categoria */
c6f :10.   /*  tempo di lavoro retribuito (in ore)  organizzazioni sindacali */
c6g :10.   /*  tempo di lavoro retribuito (in ore) altri fornitori di formazione */
c7aflag :1.   /*  flag  spese */
c7a :10.   /*  costi dei corsi di fpc  spese per corsi per i dipendenti */
c7bflag :1.   /*  flag  spese di viaggio */
c7b :10.   /*  costi dei corsi di fpc  spese di viaggio e di soggiorno */
c7cflag :1.   /*  flag  costo del lavoro per gli istruttori */
c7c :10.   /*  costi dei corsi di fpc  costo del lavoro per gli istruttori interni */
c7dflag :1.   /*  flag  centro di formazione, materiale didattico, ecc. */
c7d :10.   /*  costi dei corsi di fpc  centro di formazione o aule e materiale didattico per corsi di fpc */
c7sub :10.   /*  totale parziale dei costi di fpc */
pac :10.   /*  costo dellassenza del personale */
c8aflag :1.   /*  flag  contributi fpc */
c8a :10.   /*  contributi fpc */
c8bflag :1.   /*  flag  entrate fpc */
c8b :10.   /*  entrate fpc */
c7tot :10.   /*  costo totale fpc da calcolare (c7sub + c8a  c8b) */
c9a1 :1.   /*  immigrati e minoranze etniche occupati */
c9a2 :1.   /*  immigrati e minoranze etniche  corsi specifici */
c9b1 :1.   /*  persone disabili  occupati */
c9b2 :1.   /*  persone disabili  corsi specifici */
c9c1 :1.   /*  persone senza qualifica formale  occupati */
c9c2 :1.   /*  persone senza qualifica formale  corsi specifici */
c9d1 :1.   /*  persone a rischio di licenziamento  occupati */
c9d2 :1.   /*  persone a rischio di licenziamento  corsi specifici */
c10a1 :1.   /*  persone con contratto part-time occupati */
c10a2 :1.   /*  corsi di fpc destinati alle persone con contratto part-time */
c10b1 :1.   /*  persone con contratto a termine  occupati */
c10b2 :1.   /*  corsi di fpc destinati alle persone con contratto a termine */
d1 :1.   /*  centro di formazione proprio o comune */
d2 :1.   /*  persona o unit in seno allimpresa responsabile dellorganizzazione della fpc */
d3 :1.   /*  limpresa ricorre a un servizio di consulenza esterno */
d4 :1.   /*  limpresa applica in modo regolare procedure formali per valutare il fabbisogno futuro di competenze dellimpresa */
d5 :1.   /*  interviste strutturate con i propri dipendenti per stabilire le loro necessit specifiche di formazione */
d6 :1.   /*  la programmazione della fpc nellimpresa comprende un piano o programma scritto di formazione */
d7 :1.   /*  bilancio annuale di formazione, comprendente la fpc */
d8 :1.   /*  misura della soddisfazione delle persone che hanno seguito una formazione */
d9 :1.   /*  al termine della formazione, verifica delleffettivo raggiungimento degli obiettivi perseguiti */
d10 :1.   /*  valutazione del comportamento professionale dei partecipanti e dellevoluzione delle loro prestazioni a seguito della formazione */
d11 :1.   /*  misura mediante indicatori dellincidenza della formazione sulle prestazioni dellazienda */
d12 :1.   /*  accordi nazionali, settoriali o altri tra parti sociali che hanno influenzato i piani, le politiche e le pratiche nel campo della fpc */
d13 :1.   /*  esistenza di una struttura formale */
d13a :1.   /*  ruolo della struttura formale fissazione di obiettivi e priorit per le attivit di fpc */
d13b :1.   /*  ruolo della struttura formale  determinazione dei criteri di selezione dei soggetti invitati a partecipare alla fpc */
d13c :1.   /*  ruolo della struttura formale  tema dellattivit di fpc */
d13d :1.   /*  ruolo della struttura formale  determinazione del budget relativo alla fpc */
d13e :1.   /*  ruolo della struttura formale  procedura di selezione dei fornitori esterni di fpc */
d13f :1.   /*  ruolo della struttura formale valutazione dei risultati della formazione */
d14a :1.   /*  servizio pubblico di consulenza finalizzato a determinare i fabbisogni di formazione e/o a elaborare piani di formazione */
d14b :1.   /*  sovvenzioni destinate a ridurre il costo della formazione dei dipendenti */
d14c :1.   /*  defiscalizzazione delle spese di formazione dei dipendenti */
d14d :1.   /*  procedure per garantire la qualit degli istruttori */
d14e :1.   /*  norme e strutture riconosciute per le qualificazioni e la certificazione */
d15a :1.   /*  costo elevato dei corsi di fpc */
d15b :1.   /*  mancanza di idonei corsi di fpc sul mercato */
d15c :1.   /*  difficolt di valutazione dei fabbisogni di fpc dellimpresa */
d15d :1.   /*  attivit di formazione  svolta in  anni precedenti */
d15e :1.   /*  elevato carico di lavoro e limitato tempo disponibile dei dipendenti */
d15f :1.   /*  il livello attuale di formazione corrisponde alle necessit dellimpresa */
d15g :1.   /*  maggiore importanza attribuita alla fpi rispetto alla fpc */
d15h :1.   /*  altre ragioni */
e1a :1.   /*  le competenze esistenti corrispondono alle necessit attuali ellimpresa */
e1b :1.   /*  la strategia preferita dallimpresa  stata di assumere personale in possesso delle qualifiche e competenze necessarie */
e1c :1.   /*  limpresa ha avuto difficolt a valutare i suoi fabbisogni di fpc */
e1d :1.   /*  assenza di idonei corsi di fpc sul mercato */
e1e :1.   /*  costo dei corsi di fpc troppo elevato per limpresa */
e1f :1.   /*  limpresa ha preferito concentrarsi sulla fpi piuttosto che sulla fpc */
e1g :1.   /*  un investimento in fpc  stato effettuato in un anno precedente e non  stato necessario ripeterlo nel 2005 */
e1h :1.   /*  i dipendenti non hanno avuto tempo di partecipare ad attivit di fpc */
e1i :1.   /*  altre ragioni */
f1tot05 :6.   /*  numero totale di partecipanti ad attivit di fpi nel 2005 */
f1m05 :6.   /*  numero totale di partecipanti ad attivit di fpi nel 2005    uomini */
f1f05 :6.   /*  numero totale di partecipanti ad attivit di fpi nel 2005    donne */
f2aflag :1.   /*  flag  costo individuale del lavoro per la fpi */
f2a :10.   /*  costi fpi  costo del lavoro delle persone iscritte ad unattivit di fpi */
f2bflag :1.   /*  flag  altri costi fpi */
f2b :10.   /*  altri costi  fpi  onorari, spese di viaggio, materiale didattico, ecc. */
f2cflag :1.   /*  flag  costo del lavoro per listruttore fpi */
f3aflag :1.   /*  flag  contributi fpi */
f3a :10.   /*  contributi fpi */
f3bflag :1.   /*  flag  entrate fpi */
f3b :10.   /*  entrate fpi */
f2tot :10.   /*  totale costi fpi (f2b + f3a  f3b) */
;
LABEL 
country = "codice paese"
weight = "coefficiente di ponderazione"
a1 = "codice nace - vedi Annex"
a2tot04 = "n persone occupate al 31.12.2004"
a2tot05 = "n persone occupate al 31.12.2005"
a2m05 = "n uomini occupati  al 31.12.2005"
a2f05 = "n donne occupate al 31.12.2005"
a3a = "persone occupate  meno di 25 anni"
a3b = "persone occupate  da 25 a 54 anni"
a3c = "persone occupate  55 anni e pi"
a4 = "n totale di ore lavorate durante il 2005 dalle persone occupate"
a4m = "n totale di ore lavorate durante il 2005 dai maschi"
a4f = "n totale di ore lavorate durante il 2005 dalle femmine"
a5 = "costo totale del lavoro (diretto + indiretto) delle persone occupate durante il 2005"
a6 = "prodotti, servizi o metodi di produzione nuovi o migliorati nel 2005"
b1a = "corsi interni di formazione professionale continua (fpc)"
b1b = "corsi esterni di fpc"
b2aflag = "flag  formazione sul lavoro"
b2a = "partecipanti ad altre forme di fpc  formazione sul lavoro"
b2bflag = "flag  rotazione del posto di lavoro"
b2b = "partecipanti ad altre forme di fpc  rotazione del posto di lavoro"
b2cflag = "flag  circoli di apprendimento e di qualit"
b2c = "partecipanti ad altre forme di fpc  circoli di apprendimento e di qualit"
b2dflag = "flag  autoapprendimento"
b2d = "partecipanti ad altre forme di fpc  autoapprendimento"
b2eflag = "flag  partecipazione a conferenze ecc."
b2e = "partecipanti ad altre forme di fpc  partecipazione a conferenze ecc."
b3a = "corsi di fpc per persone occupate durante lanno precedente (2004)"
b3b = "corsi di fpc per persone occupate previsti durante lanno prossimo (2006)"
b4a = "altre forme di fpc per persone occupate durante lanno precedente (2004)"
b4b = "altre forme di fpc per persone occupate previste durante lanno prossimo (2006)"
c1tot = "partecipanti a corsi di fpc   totale"
c1m = "partecipanti a corsi di fpc  uomini"
c1f = "partecipanti a corsi di fpc  donne"
c2a = "partecipanti ad attivit di fpc  meno di 25 anni"
c2b = "partecipanti ad attivit di fpc  da 25 a 54 anni"
c2c = "partecipanti ad attivit di fpc  55 anni e pi"
c3tot = "tempo di lavoro retribuito (in ore) per corsi di fpc"
c3i = "tempo di lavoro retribuito (in ore) per corsi interni di fpc"
c3e = "tempo di lavoro retribuito (in ore) per corsi esterni di fpc"
c4m = "tempo di lavoro retribuito (in ore) per corsi di fpc  uomini"
c4f = "tempo di lavoro retribuito (in ore) per corsi di fpc  donne"
c5a = "tempo di lavoro retribuito (in ore)  lingue, straniere  e materna"
c5b = "tempo di lavoro retribuito (in ore)  vendite  e marketing"
c5c = "tempo di lavoro retribuito (in ore)  contabilit  e finanza, gestione e amministrazione e lavoro dufficio"
c5d = "tempo di lavoro retribuito (in ore)  competenze personali/sviluppo personale, vita professionale"
c5e = "tempo di lavoro retribuito (in ore)  informatica  e uso del computer"
c5f = "tempo di lavoro retribuito (in ore)  ingegneria, tecniche di produzione e costruzione"
c5g = "tempo di lavoro retribuito (in ore)  protezione dellambiente e salute e sicurezza sul lavoro"
c5h = "tempo di lavoro retribuito (in ore)  servizi personali, servizi di trasporto, protezione dei beni e delle persone e difesa"
c5i = "tempo di lavoro retribuito (in ore)  altri temi di formazione"
c6a = "tempo di lavoro retribuito (in ore)  scuole, universit e altre istituzioni dinsegnamento superiore"
c6b = "tempo di lavoro retribuito (in ore)  istituzioni pubbliche di formazione"
c6c = "tempo di lavoro retribuito (in ore) societ private di formazione"
c6d = "tempo di lavoro retribuito (in ore)  societ private  (fornitori di beni, societ collegate)"
c6e = "tempo di lavoro retribuito (in ore)  associazioni di datori di lavoro, camere di commercio, associazioni di categoria"
c6f = "tempo di lavoro retribuito (in ore)  organizzazioni sindacali"
c6g = "tempo di lavoro retribuito (in ore) altri fornitori di formazione"
c7aflag = "flag  spese"
c7a = "costi dei corsi di fpc  spese per corsi per i dipendenti"
c7bflag = "flag  spese di viaggio"
c7b = "costi dei corsi di fpc  spese di viaggio e di soggiorno"
c7cflag = "flag  costo del lavoro per gli istruttori"
c7c = "costi dei corsi di fpc  costo del lavoro per gli istruttori interni"
c7dflag = "flag  centro di formazione, materiale didattico, ecc."
c7d = "costi dei corsi di fpc  centro di formazione o aule e materiale didattico per corsi di fpc"
c7sub = "totale parziale dei costi di fpc"
pac = "costo dellassenza del personale"
c8aflag = "flag  contributi fpc"
c8a = "contributi fpc"
c8bflag = "flag  entrate fpc"
c8b = "entrate fpc"
c7tot = "costo totale fpc da calcolare (c7sub + c8a  c8b)"
c9a1 = "immigrati e minoranze etniche occupati"
c9a2 = "immigrati e minoranze etniche  corsi specifici"
c9b1 = "persone disabili  occupati"
c9b2 = "persone disabili  corsi specifici"
c9c1 = "persone senza qualifica formale  occupati"
c9c2 = "persone senza qualifica formale  corsi specifici"
c9d1 = "persone a rischio di licenziamento  occupati"
c9d2 = "persone a rischio di licenziamento  corsi specifici"
c10a1 = "persone con contratto part-time occupati"
c10a2 = "corsi di fpc destinati alle persone con contratto part-time"
c10b1 = "persone con contratto a termine  occupati"
c10b2 = "corsi di fpc destinati alle persone con contratto a termine"
d1 = "centro di formazione proprio o comune"
d2 = "persona o unit in seno allimpresa responsabile dellorganizzazione della fpc"
d3 = "limpresa ricorre a un servizio di consulenza esterno"
d4 = "limpresa applica in modo regolare procedure formali per valutare il fabbisogno futuro di competenze dellimpresa"
d5 = "interviste strutturate con i propri dipendenti per stabilire le loro necessit specifiche di formazione"
d6 = "la programmazione della fpc nellimpresa comprende un piano o programma scritto di formazione"
d7 = "bilancio annuale di formazione, comprendente la fpc"
d8 = "misura della soddisfazione delle persone che hanno seguito una formazione"
d9 = "al termine della formazione, verifica delleffettivo raggiungimento degli obiettivi perseguiti"
d10 = "valutazione del comportamento professionale dei partecipanti e dellevoluzione delle loro prestazioni a seguito della formazione"
d11 = "misura mediante indicatori dellincidenza della formazione sulle prestazioni dellazienda"
d12 = "accordi nazionali, settoriali o altri tra parti sociali che hanno influenzato i piani, le politiche e le pratiche nel campo della fpc"
d13 = "esistenza di una struttura formale"
d13a = "ruolo della struttura formale fissazione di obiettivi e priorit per le attivit di fpc"
d13b = "ruolo della struttura formale  determinazione dei criteri di selezione dei soggetti invitati a partecipare alla fpc"
d13c = "ruolo della struttura formale  tema dellattivit di fpc"
d13d = "ruolo della struttura formale  determinazione del budget relativo alla fpc"
d13e = "ruolo della struttura formale  procedura di selezione dei fornitori esterni di fpc"
d13f = "ruolo della struttura formale valutazione dei risultati della formazione"
d14a = "servizio pubblico di consulenza finalizzato a determinare i fabbisogni di formazione e/o a elaborare piani di formazione"
d14b = "sovvenzioni destinate a ridurre il costo della formazione dei dipendenti"
d14c = "defiscalizzazione delle spese di formazione dei dipendenti"
d14d = "procedure per garantire la qualit degli istruttori"
d14e = "norme e strutture riconosciute per le qualificazioni e la certificazione"
d15a = "costo elevato dei corsi di fpc"
d15b = "mancanza di idonei corsi di fpc sul mercato"
d15c = "difficolt di valutazione dei fabbisogni di fpc dellimpresa"
d15d = "attivit di formazione  svolta in  anni precedenti"
d15e = "elevato carico di lavoro e limitato tempo disponibile dei dipendenti"
d15f = "il livello attuale di formazione corrisponde alle necessit dellimpresa"
d15g = "maggiore importanza attribuita alla fpi rispetto alla fpc"
d15h = "altre ragioni"
e1a = "le competenze esistenti corrispondono alle necessit attuali ellimpresa"
e1b = "la strategia preferita dallimpresa  stata di assumere personale in possesso delle qualifiche e competenze necessarie"
e1c = "limpresa ha avuto difficolt a valutare i suoi fabbisogni di fpc"
e1d = "assenza di idonei corsi di fpc sul mercato"
e1e = "costo dei corsi di fpc troppo elevato per limpresa"
e1f = "limpresa ha preferito concentrarsi sulla fpi piuttosto che sulla fpc"
e1g = "un investimento in fpc  stato effettuato in un anno precedente e non  stato necessario ripeterlo nel 2005"
e1h = "i dipendenti non hanno avuto tempo di partecipare ad attivit di fpc"
e1i = "altre ragioni"
f1tot05 = "numero totale di partecipanti ad attivit di fpi nel 2005"
f1m05 = "numero totale di partecipanti ad attivit di fpi nel 2005    uomini"
f1f05 = "numero totale di partecipanti ad attivit di fpi nel 2005    donne"
f2aflag = "flag  costo individuale del lavoro per la fpi"
f2a = "costi fpi  costo del lavoro delle persone iscritte ad unattivit di fpi"
f2bflag = "flag  altri costi fpi"
f2b = "altri costi  fpi  onorari, spese di viaggio, materiale didattico, ecc."
f2cflag = "flag  costo del lavoro per listruttore fpi"
f3aflag = "flag  contributi fpi"
f3a = "contributi fpi"
f3bflag = "flag  entrate fpi"
f3b = "entrate fpi"
f2tot = "totale costi fpi (f2b + f3a  f3b)"
;
RUN;
PROC FORMAT;
VALUE a12F /* a1 */
01= "ESTRAZIONE DI MINERALI ENERGETICI; Subsection ESTRAZIONE DI MINERALI NON ENERGETICI"
02= "INDUSTRIE ALIMENTARI, DELLE BEVANDE E DEL TABACCO"
03= "INDUSTRIE TESSILI E DELLABBIGLIAMENTO; INDUSTRIE CONCIARIE, FABBRICAZIONE DI PRODOTTI IN CUOIO, PELLE E SIMILARI"
04= "FABBRICAZIONE DELLA PASTA-CARTA, DELLA CARTA E DEL CARTONE, DEI PRODOTTI DI CARTA; STAMPA ED EDITORIA"
05= "FABBRICAZIONE DI COKE, RAFFINERIE DI PETROLIO, TRATTAMENTO DEI COMBUSTIBILI NUCLEARI; FABBRICAZIONE DI PRODOTTI CHIMICI E DI FIBRE SINTETICHE E ARTIFICIALI ; FABBRICAZIONE DI ARTICOLI IN GOMMA E MATER"
06= "METALLURGIA, FABBRICAZIONE DI PRODOTTI IN METALLO"
07= "FABBRICAZIONE DI MACCHINE ED APPARECCHI MECCANICI; FABBRICAZIONE DI MACCHINE ELETTRICHE E DI APPARECCHIATURE ELETTRICHE, ELETTRONICHE ED OTTICHE"
08= "FABBRICAZIONE DI MEZZI DI TRASPORTO"
09= "INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO; ALTRE INDUSTRIE MANIFATTURIERE"
10= "PRODUZIONE E DISTRIBUZIONE DI ENERGIA ELETTRICA, GAS E ACQUA"
11= "COSTRUZIONI"
12= "COMMERCIO, MANUTENZIONE E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI; VENDITA AL DETTAGLIO DI CARBURANTI PER AUTOTRAZIONE"
13= "COMMERCIO ALLINGROSSO E INTERMEDIARI DEL COMMERCIO, AUTOVEICOLI E MOTOCICLI ESCLUSI"
14= "COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI); RIPARAZIONE DI BENI PERSONALI E PER LA CASA"
15= "ALBERGHI E RISTORANTI"
16= "TRASPORTI TERRESTRI; TRASPORTI MEDIANTE CONDOTTE; TRASPORTI MARITTIMI E PER VIE D'ACQUA; TRASPORTI AEREI; ATTIVIT DI SUPPORTO ED AUSILIARIE DEI TRASPORTI; ATTIVIT DELLE AGENZIE DI VIAGGIO"
17= "POSTE E TELECOMUNICAZIONI"
18= "INTERMEDIAZIONE MONETARIA E FINANZIARIA (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE); ASSICURAZIONI E FONDI PENSIONE, ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE"
19= "ATTIVIT AUSILIARIE DELL'INTERMEDIAZIONE FINANZIARIA E DELLE ASSICURAZIONI"
20= "ATTIVIT IMMOBILIARI; NOLEGGIO DI MACCHINARI E ATTREZZATURE SENZA OPERATORE E DI BENI PER USO PERSONALE E DOMESTICO; INFORMATICA E ATTIVIT CONNESSE; RICERCA E SVILUPPO; ATTIVIT DI SERVIZI ALLE IMPRE"
;
VALUE a614F /* a6 */
0= "no"
1= "si"
;
VALUE b1a15F /* b1a */
VALUE b1b16F /* b1b */
VALUE b2a17F /* b2aflag */
VALUE b2b19F /* b2bflag */
VALUE b2c21F /* b2cflag */
VALUE b2d23F /* b2dflag */
VALUE b2e25F /* b2eflag */
VALUE b3a27F /* b3a */
VALUE b3b28F /* b3b */
VALUE b4a29F /* b4a */
VALUE b4b30F /* b4b */
VALUE c7a58F /* c7aflag */
0= "no"
1= "si"
8= "non applicabile"
;
VALUE c7b60F /* c7bflag */
VALUE c7c62F /* c7cflag */
VALUE c7d64F /* c7dflag */
VALUE c8a68F /* c8aflag */
0= "mancanza di contributi"
1= "presenza di contributi"
;
VALUE c8b70F /* c8bflag */
0= "mancanza di finanziamenti"
1= "presenza di finanziamenti"
8= "non applicabile"
;
VALUE c9a73F /* c9a1 */
VALUE c9a74F /* c9a2 */
VALUE c9b75F /* c9b1 */
VALUE c9b76F /* c9b2 */
VALUE c9c77F /* c9c1 */
VALUE c9c78F /* c9c2 */
VALUE c9d79F /* c9d1 */
VALUE c9d80F /* c9d2 */
VALUE c1081F /* c10a1 */
VALUE c1082F /* c10a2 */
VALUE c1083F /* c10b1 */
VALUE c1084F /* c10b2 */
VALUE d185F /* d1 */
0= "nessuna struttura"
1= "struttura di propriet"
2= "struttura condivisa"
3= "entrambe"
8= "non applicabile"
;
VALUE d286F /* d2 */
VALUE d387F /* d3 */
0= "mai"
1= "occasionalmente"
2= "quasi sempre"
3= "sempre"
8= "non applicabile"
;
VALUE d488F /* d4 */
VALUE d589F /* d5 */
VALUE d690F /* d6 */
VALUE d791F /* d7 */
VALUE d892F /* d8 */
VALUE d993F /* d9 */
VALUE d1094F /* d10 */
VALUE d1195F /* d11 */
VALUE d1296F /* d12 */
VALUE d1397F /* d13 */
VALUE d1398F /* d13a */
VALUE d1399F /* d13b */
VALUE d13100F /* d13c */
VALUE d13101F /* d13d */
VALUE d13102F /* d13e */
VALUE d13103F /* d13f */
VALUE d14104F /* d14a */
VALUE d14105F /* d14b */
VALUE d14106F /* d14c */
7= "quesito italiano mancante"
8= "non applicabile"
;
VALUE d14107F /* d14d */
VALUE d14108F /* d14e */
VALUE d15109F /* d15a */
VALUE d15110F /* d15b */
VALUE d15111F /* d15c */
VALUE d15112F /* d15d */
VALUE d15113F /* d15e */
VALUE d15114F /* d15f */
VALUE d15115F /* d15g */
VALUE d15116F /* d15h */
VALUE e1a117F /* e1a */
VALUE e1b118F /* e1b */
VALUE e1c119F /* e1c */
VALUE e1d120F /* e1d */
VALUE e1e121F /* e1e */
VALUE e1f122F /* e1f */
VALUE e1g123F /* e1g */
VALUE e1h124F /* e1h */
VALUE e1i125F /* e1i */
VALUE f2a129F /* f2aflag */
VALUE f2b131F /* f2bflag */
VALUE f2c133F /* f2cflag */
.= "missing"
0= "no"
1= "si"
8= "non applicabile"
;
VALUE f3a134F /* f3aflag */
0= "no"
8= "non applicabile"
;
VALUE f3b136F /* f3bflag */
format a1 a12F.;
format a6 a614F.;
format b1a b1a15F.;
format b1b b1b16F.;
format b2aflag b2a17F.;
format b2bflag b2b19F.;
format b2cflag b2c21F.;
format b2dflag b2d23F.;
format b2eflag b2e25F.;
format b3a b3a27F.;
format b3b b3b28F.;
format b4a b4a29F.;
format b4b b4b30F.;
format c7aflag c7a58F.;
format c7bflag c7b60F.;
format c7cflag c7c62F.;
format c7dflag c7d64F.;
format c8aflag c8a68F.;
format c8bflag c8b70F.;
format c9a1 c9a73F.;
format c9a2 c9a74F.;
format c9b1 c9b75F.;
format c9b2 c9b76F.;
format c9c1 c9c77F.;
format c9c2 c9c78F.;
format c9d1 c9d79F.;
format c9d2 c9d80F.;
format c10a1 c1081F.;
format c10a2 c1082F.;
format c10b1 c1083F.;
format c10b2 c1084F.;
format d1 d185F.;
format d2 d286F.;
format d3 d387F.;
format d4 d488F.;
format d5 d589F.;
format d6 d690F.;
format d7 d791F.;
format d8 d892F.;
format d9 d993F.;
format d10 d1094F.;
format d11 d1195F.;
format d12 d1296F.;
format d13 d1397F.;
format d13a d1398F.;
format d13b d1399F.;
format d13c d13100F.;
format d13d d13101F.;
format d13e d13102F.;
format d13f d13103F.;
format d14a d14104F.;
format d14b d14105F.;
format d14c d14106F.;
format d14d d14107F.;
format d14e d14108F.;
format d15a d15109F.;
format d15b d15110F.;
format d15c d15111F.;
format d15d d15112F.;
format d15e d15113F.;
format d15f d15114F.;
format d15g d15115F.;
format d15h d15116F.;
format e1a e1a117F.;
format e1b e1b118F.;
format e1c e1c119F.;
format e1d e1d120F.;
format e1e e1e121F.;
format e1f e1f122F.;
format e1g e1g123F.;
format e1h e1h124F.;
format e1i e1i125F.;
format f2aflag f2a129F.;
format f2bflag f2b131F.;
format f2cflag f2c133F.;
format f3aflag f3a134F.;
format f3bflag f3b136F.;
RUN;
